Request
Endpoint: !GetOrdersAwaitingMAapproval
https://secure.trust-provider.com/products/!GetOrdersAwaitingMAapproval
Use the POST method for this endpoint.
Submit parameters in the x-www-form-urlencoded format.
Request parameters
The following table lists the required and optional parameters.
| Parameter | Requirement | Type | Max.Length | Description |
|---|---|---|---|---|
|
required |
string |
64 chars |
Your account username. This value is case sensitive. |
|
required |
string |
128 chars |
Your account password. This value is case sensitive. |
Sample request
curl --location 'https://secure.trust-provider.com/products/!GetOrdersAwaitingMAapproval' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password'
Response
The request is successful when the server returns a response with the error code 0.
Any errorCode less than 0 indicates an error condition and the errorMessage provides more details.
The response is formatted in x-www-form-urlencoded format.
Response parameters
The response may contain the following parameters:
| Parameter | Description |
|---|---|
|
The numeric code indicating the result of the request. For more information, see Error codes. |
|
The explanation of the error. |
|
The order number. |
|
The time at which Enterprise Authentication expires. It is expressed as a UNIX time value. |
|
The order number holding the Enterprise Authentication record that may be used for automatic validation of the organization. |
Sample success response
errorCode=0&noOfResults=3&1_orderNumber=1111111&1_expiryDate=1655641216&1_1_maOrderNumber=2222222&2_orderNumber=3333333&2_expiryDate=1655728402&2_1_maOrderNumber=4444444&2_2_maOrderNumber=111111&3_orderNumber=555555&3_expiryDate=1655728436&3_1_maOrderNumber=666666&3_2_maOrderNumber=777777
Error codes
The following table outlines error responses returned by the GetOrdersAwaitingMAapproval API endpoint.
Each error response consists of an errorCode and an errorMessage indicating why the request failed.
| Error Code | Error Message | Description |
|---|---|---|
|
|
The request must use HTTPS protocol. |
|
|
The provided argument is not recognized. |
|
|
The required argument is missing from the request. |
|
|
The argument value does not meet validation requirements. |
|
|
An unknown error occurred. |
|
|
The user does not have permission for the requested context. |
|
|
The request method should be |
|
|
The API call limit has been reached. |